package m05bSolicitudReserva_UsuarioEJB;

/**
 * This is the Primary Key for the Entity EJB <tt>m05SolicitudReserva_Usuario</tt>.
 */
public class m05SolicitudReserva_UsuarioPK implements java.io.Serializable {

  /** 
   * This is the primary key.
   * It is the SolicitudReserva_Usuario idSolicitud and codSolicitante, which is the primary key 
   * in table <tt>m05101t00</tt>.
   */
  public Integer idSolicitud;
  public String codSolicitante;

  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05SolicitudReserva_UsuarioPK)
    {
      m05SolicitudReserva_UsuarioPK otherKey = (m05SolicitudReserva_UsuarioPK) obj;
      return (this.idSolicitud.intValue() == otherKey.idSolicitud.intValue()
    		  && this.codSolicitante.equals(otherKey.codSolicitante));
    }
    else
    {
      return false;
    }
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return this.idSolicitud.toString().concat(this.codSolicitante).hashCode();
  }
}